// *****************************************************************************
// Source code for the Hello World Example Dialog
// API Development Kit 21; Mac/Win
//
// Namespaces:			Contact person:
//		-None-					Tibor Lorántfy (tlorantfy@graphisoft.com)
//
// [SG compatible] - Yes
// *****************************************************************************


// ---------------------------------- Includes ---------------------------------

#include	"APIEnvir.h"
#include	"ACAPinc.h"

#include	"HelloWorldDialog.hpp"


// --- Class definition: HelloWorldDialog --------------------------------------

HelloWorldDialog::HelloWorldDialog () :
	DG::ModalDialog (ACAPI_GetOwnResModule(), 32500, ACAPI_GetOwnResModule()),
	closeButton		(GetReference (), ButtonID),
	helloWorldText	(GetReference (), LeftTextID),
	earthIcon		(GetReference (), IconItemID)
{
	AttachToAllItems (*this);
}


HelloWorldDialog::~HelloWorldDialog ()
{
}


void HelloWorldDialog::ButtonClicked (const DG::ButtonClickEvent& ev)
{
	if (ev.GetSource () == &closeButton)
		PostCloseRequest (Accept);
}
