// *****************************************************************************
// Header file for the Hello World Example Dialog
// API Development Kit 21; Mac/Win
//
// Namespaces:			Contact person:
//		-None-					Tibor Lorántfy (tlorantfy@graphisoft.com)
//
// [SG compatible] - Yes
// *****************************************************************************

#ifndef HELLOWORLDDIALOG_HPP
#define HELLOWORLDDIALOG_HPP


// ---------------------------------- Includes ---------------------------------
#include	"DGModule.hpp"


// --- Class declaration: HelloWorldDialog -------------------------------------

class HelloWorldDialog : public DG::ModalDialog,
						 public DG::ButtonItemObserver,
						 public DG::CompoundItemObserver
{
protected:
	enum Controls {
		ButtonID			= 1,
		LeftTextID			= 2,
		IconItemID			= 3
	};

	DG::Button		closeButton;
	DG::LeftText	helloWorldText;
	DG::IconItem	earthIcon;

	virtual void	ButtonClicked	(const DG::ButtonClickEvent& ev) override;

public:
	HelloWorldDialog ();
	~HelloWorldDialog ();
};


#endif // HELLOWORLDDIALOG_HPP
